| OpenCV 3.4.1 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::phase_unwrapping::HistogramPhaseUnwrapping Class Referenceabstract
Phase Unwrapping API

Class implementing two-dimensional phase unwrapping based on [102] This algorithm belongs to the quality-guided phase unwrapping methods. First, it computes a reliability map from second differences between a pixel and its eight neighbours. Reliability values lie between 0 and 16*pi*pi. Then, this reliability map is used to compute the reliabilities of "edges". An edge is an entity defined by two pixels that are connected horizontally or vertically. Its reliability is found by adding the the reliabilities of the two pixels connected through it. Edges are sorted in a histogram based on their reliability values. This histogram is then used to unwrap pixels, starting from the highest quality pixel. More...

`#include "histogramphaseunwrapping.hpp"`

Inheritance diagram for cv::phase_unwrapping::HistogramPhaseUnwrapping:

## Classes
struct | Params
| Parameters of phaseUnwrapping constructor. More...

## Public Member Functions
virtual void | getInverseReliabilityMap (OutputArray reliabilityMap)=0
| Get the reliability map computed from the wrapped phase map. More...
Public Member Functions inherited from cv::phase_unwrapping::PhaseUnwrapping
virtual void | unwrapPhaseMap (InputArray wrappedPhaseMap, OutputArray unwrappedPhaseMap, InputArray shadowMask=noArray())=0
| Unwraps a 2D phase map. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< HistogramPhaseUnwrapping > | create (const HistogramPhaseUnwrapping::Params &parameters=HistogramPhaseUnwrapping::Params())
| Constructor. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing two-dimensional phase unwrapping based on [102] This algorithm belongs to the quality-guided phase unwrapping methods. First, it computes a reliability map from second differences between a pixel and its eight neighbours. Reliability values lie between 0 and 16*pi*pi. Then, this reliability map is used to compute the reliabilities of "edges". An edge is an entity defined by two pixels that are connected horizontally or vertically. Its reliability is found by adding the the reliabilities of the two pixels connected through it. Edges are sorted in a histogram based on their reliability values. This histogram is then used to unwrap pixels, starting from the highest quality pixel.

The wrapped phase map and the unwrapped result are stored in CV_32FC1 Mat.

## Member Function Documentation

## § create()

static Ptr<HistogramPhaseUnwrapping> cv::phase_unwrapping::HistogramPhaseUnwrapping::create | ( | const HistogramPhaseUnwrapping::Params & | parameters = `HistogramPhaseUnwrapping::Params()` | ) |
| static

Constructor.

Parameters

  parameters | HistogramPhaseUnwrapping parameters HistogramPhaseUnwrapping::Params: width,height of the phase map and histogram characteristics.

## § getInverseReliabilityMap()

virtual void cv::phase_unwrapping::HistogramPhaseUnwrapping::getInverseReliabilityMap | ( | OutputArray | reliabilityMap | ) |
| pure virtual

Python:
| reliabilityMap | = | cv.phase_unwrapping_HistogramPhaseUnwrapping.getInverseReliabilityMap( | [, reliabilityMap] | )

Get the reliability map computed from the wrapped phase map.

Parameters

  reliabilityMap | Image where the reliability map is stored.

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/phase_unwrapping/include/opencv2/phase_unwrapping/histogramphaseunwrapping.hpp